# Clean up the screen
clear


# Initialize some variables
blue=`echo -en "\\033\\1331;34m"`
default=" -en \\033\\1330;39m"


# Checking some paths
echo $blue"
Checking where are m4 macros :"
defaultpath=`aclocal --print-ac-dir`
echo "  - default path... "$defaultpath
if test $1; then
  if test $1 == "--with-primary-path"; then
    add_dir="./"
    if test $defaultpath != "/usr/share/aclocal"; then
      echo "  - adding primary path... /usr/share/aclocal"
	    add_dir="/usr/share/aclocal"
    fi
  fi
else
  echo "  - adding m4 directory..."
  add_dir="./m4"
fi


# Running aclocal
echo $blue"
Calling aclocal to make aclocal.m4 macro..."
echo $default
aclocal -I $add_dir


# Running autoheader
echo $blue"
Defining some features via autoheader..."
echo $default
autoheader


# Runnning automake
echo $blue"
Post-configuration preparation via automake..."
echo $default
automake -a -c -f


# Running autoconf
echo $blue"
Pre-configuration preparation via autoconf in configure script..."
echo $default
autoconf


# Needed by configure script
touch stamp-h1


# ????
echo $blue"
Now type configure to prepare Makefiles...
"
echo $default


# EOF
